# rebuild with --with libmad to enable support for MP3 files
Name:           sonic-visualiser
Version:        1.3
Release:        1%{?dist}
Summary:        A program for viewing and exploring audio data

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.sonicvisualiser.org/
Source0:        http://downloads.sourceforge.net/sv1/sonic-visualiser-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel vamp-plugin-sdk-devel
BuildRequires:  libsndfile-devel libsamplerate-devel fftw-devel bzip2-devel
BuildRequires:  jack-audio-connection-kit-devel portaudio-devel
BuildRequires:  rubberband-devel
%{?_with_libmad:BuildRequires:  libmad-devel}
BuildRequires:  liboggz-devel libfishsound-devel
BuildRequires:  liblrdf-devel raptor-devel liblo-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
Sonic Visualiser is an application for viewing and analysing the
contents of music audio files.

The aim of Sonic Visualiser is to be the first program you reach for
when want to study a musical recording rather than simply listen to
it.

As well as a number of features designed to make exploring audio data
as revealing and fun as possible, Sonic Visualiser also has powerful
annotation capabilities to help you to describe what you find, and the
ability to run automated annotation and analysis plugins in the Vamp
analysis plugin format – as well as applying standard audio effects.


%prep
%setup -q


%build
qmake-qt4
# patch in correct optflags
sed -i 's|linux-g++:QMAKE_CXXFLAGS_RELEASE += -DNDEBUG -DNO_TIMING .*|linux-g++:QMAKE_CFXXFLAGS_RELEASE += -DNDEBUG -DNO_TIMING ${RPM_OPT_FLAGS}|1' sv.prf
# parallel build does not work
make #%{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# install does nothing right now
# make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 -p sv/sonic-visualiser $RPM_BUILD_ROOT%{_bindir}/
# desktop file and icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -m 644 -p sv/icons/sv-48x48.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/sonic-visualiser.png
desktop-file-install --vendor="fedora" \
                     --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
                     %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README README.OSC
%{_bindir}/sonic-visualiser
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png


%changelog
* Thu Jul 17 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3-1
- Update to 1.3

* Sun Mar 30 2008 Michel Salim <michel.sylvan@gmail.com> - 1.2-1
- Update to 1.2

* Fri Feb 15 2008 Michel Salim <michel.sylvan@gmail.com> - 1.0-5
- Use correct optflags

* Wed Feb 13 2008 Michel Salim <michel.sylvan@gmail.com> - 1.0-4
- Exclude ppc for now. On it, qmake uses wrong (x86) optflags (#432733).
- Add missing BR on libfishsound-devel
 
* Sun Feb  3 2008 Michel Salim <michel.sylvan@gmail.com> - 1.0-3
- Add some #includes, needed due to GCC 4.3's header dependency cleanup

* Sun Jan 27 2008 Michel Salim <michel.sylvan@gmail.com> - 1.0-2
- Fix icon placement and license

* Wed Jan 16 2008 Michel Salim <michel.sylvan@gmail.com> - 1.0-1
- Initial Fedora package

